aboutsummaryrefslogtreecommitdiffstats
path: root/testing/spice-protocol/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-12-02 07:45:46 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-12-02 07:45:46 +0000
commit4cd23b8748b232062228775718e327bae271852f (patch)
treed6a98dd3d3b1f6674605f74a08cc9be399817b33 /testing/spice-protocol/APKBUILD
parent77aceab36a52e79b359a9536bf8bfd27190519de (diff)
downloadaports-4cd23b8748b232062228775718e327bae271852f.tar.gz
aports-4cd23b8748b232062228775718e327bae271852f.tar.bz2
aports-4cd23b8748b232062228775718e327bae271852f.tar.xz
testing/spice-protocol: new aport
Spice protocol header files http://www.spice-space.org/
Diffstat (limited to 'testing/spice-protocol/APKBUILD')
-rw-r--r--testing/spice-protocol/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/spice-protocol/APKBUILD b/testing/spice-protocol/APKBUILD
new file mode 100644
index 0000000000..fa6f70233e
--- /dev/null
+++ b/testing/spice-protocol/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=spice-protocol
+pkgver=0.10.0
+pkgrel=0
+pkgdesc="Spice protocol header files"
+url="http://www.spice-space.org/"
+arch="noarch"
+license="BSD and LGPLv2+"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages=""
+source="http://www.spice-space.org/download/releases/spice-protocol-$pkgver.tar.bz2"
+
+_builddir="$srcdir"/spice-protocol-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="888d8a50d36a09a1c479cadddce244ae spice-protocol-0.10.0.tar.bz2"